Subject: git-diff: --ignore-matching-lines has no effect on the output when --name-only is used

From: [email-masked]
Date: Wed, 23 Jul 2025 07:47:00 +0200

I discovered that diff output is not filtered when the `--name-only`
flag is given, it always lists all affected files. Is this a known bug?
I could not find anything in the documentation.

Perhaps related, `--ignore-matching-lines` is ignored by my external
diff helper difftastic[1]. I'm not sure if this is an upstream issue, or
if the way external diff helpers are implemented is related to this at all.

The behavior can be observed in git 2.49.0 using `git diff --no-ext-diff
--name-only --ignore-matching-lines`.

Best,
Arne

[1]: https://difftastic.wilfred.me.uk/